about summary refs log tree commit diff
diff options
context:
space:
mode:
-rw-r--r--corepkgs/fetchurl/fetchurl.sh.in2
-rw-r--r--scripts/nix-prefetch-url.in2
2 files changed, 2 insertions, 2 deletions
diff --git a/corepkgs/fetchurl/fetchurl.sh.in b/corepkgs/fetchurl/fetchurl.sh.in
index 88e4d81f2e48..a6cc6993028a 100644
--- a/corepkgs/fetchurl/fetchurl.sh.in
+++ b/corepkgs/fetchurl/fetchurl.sh.in
@@ -9,7 +9,7 @@ if test -f "$prefetch"; then
     echo "using prefetched $prefetch";
     mv $prefetch $out || exit 1
 else
-    @wget@ "$url" -O "$out" || exit 1
+    @wget@ --passive-ftp "$url" -O "$out" || exit 1
 fi
 
 actual=$(@bindir@/nix-hash --flat $out)
diff --git a/scripts/nix-prefetch-url.in b/scripts/nix-prefetch-url.in
index f5539eb98dca..332290d40ac8 100644
--- a/scripts/nix-prefetch-url.in
+++ b/scripts/nix-prefetch-url.in
@@ -10,7 +10,7 @@ print "fetching $url...\n";
 
 my $out = "@prefix@/store/nix-prefetch-url-$$";
 
-system "@wget@ '$url' -O '$out'";
+system "@wget@ --passive-ftp '$url' -O '$out'";
 $? == 0 or die "unable to fetch $url";
 
 my $hash=`@bindir@/nix-hash --flat $out`;